KYUA-REPORT-HTML(1)

NAME
kyua report-html - Generates an HTML report with the results of a test suite run

SYNOPSIS
kyua report-html [--force] [--output path] [--results-file file] [--results-filter types]

DESCRIPTION
The kyua report-html command provides a simple mechanism to generate HTML reports of the execution of a test suite. The command processes a results file and then populates a directory with multiple HTML and supporting files to describe the results recorded in that results file.

The HTML output is static and self-contained, so it can easily be served by any simple web server. The command expects the target directory to not exist, because it would overwrite any contents if not careful.

The following subcommand options are recognized:

--force
    Forces the deletion of the output directory if it exists. Use care, as this effectively means a ‘rm -rf’.

--output directory
    Specifies the target directory into which to generate the HTML files. The directory must not exist unless the --force option is provided. The default is ./html.

--results-file path, -r path
    __include__ results-file-flag-read.mdoc

--results-filter types
    Comma-separated list of the test result types to include in the report. The ordering of the values is respected so that you can determine how you want the list of tests to be shown.

    The valid values are: ‘broken’, ‘failed’, ‘passed’, ‘skipped’ and ‘xfail’. If the parameter supplied to the option is empty, filtering is suppressed and all result types are shown in the report.

    The default value for this flag includes all the test results except the passed tests. Showing the passed tests by default clutters the report with too much information, so only abnormal conditions are included.

  Results files
__include__ results-files.mdoc

EXIT STATUS
The kyua report-html command always returns 0.

Additional exit codes may be returned as described in kyua(1).

EXAMPLES
__include__ results-files-report-example.mdoc REPORT_COMMAND=report-html

SEE ALSO
kyua(1), kyua-report(1), kyua-report-junit(1)